### Method

# Camel Medium get_header

#### Declaration [src]

    const gchar*
    camel_medium_get_header (
      CamelMedium* medium,
      const gchar* name
    )

#### Description [src]

Gets the value of the named header in the medium, or `NULL` if it is unset. The caller should not modify or free the data.

If the header occurs more than once, only retrieve the first instance of the header. For multi-occuring headers, use `camel_medium_dup_headers()` or camel_medium_get_headers().

#### Parameters

`name`

  Type: `const gchar*`

  The name of the header.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The value of the named header, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.